#
# Conditional build:
%bcond_without	static_libs	# static libraries

Summary:	Libraries implementing some of the freedesktop.org specifications
Name:		libsfdo
Version:	0.1.3
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://github.com/jlindgren90/libsfdo/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0019bf28cc3d6972346f4be5de7740ac
URL:		https://github.com/jlindgren90/libsfdo
BuildRequires:	meson
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A collection of libraries which implement some of the freedesktop.org
specifications.

%package devel
Summary:	Header files for libsfdo libraries
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for libsfdo libraries.

%package static
Summary:	Static libsfdo libraries
Group:		Development/Libraries
Requires:	%{name}-devel%{?_isa} = %{version}-%{release}

%description static
Static libsfdo libraries.

%prep
%setup -q

%build
%meson \
	%{!?with_static_libs:--default-library=shared}
%meson_build

%install
rm -rf $RPM_BUILD_ROOT
%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_libdir}/libsfdo-basedir.so.0
%attr(755,root,root) %{_libdir}/libsfdo-desktop.so.0
%attr(755,root,root) %{_libdir}/libsfdo-desktop-file.so.0
%attr(755,root,root) %{_libdir}/libsfdo-icon.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsfdo-basedir.so
%attr(755,root,root) %{_libdir}/libsfdo-desktop.so
%attr(755,root,root) %{_libdir}/libsfdo-desktop-file.so
%attr(755,root,root) %{_libdir}/libsfdo-icon.so
%{_includedir}/sfdo-basedir.h
%{_includedir}/sfdo-common.h
%{_includedir}/sfdo-desktop.h
%{_includedir}/sfdo-desktop-file.h
%{_includedir}/sfdo-icon.h
%{_pkgconfigdir}/libsfdo-basedir.pc
%{_pkgconfigdir}/libsfdo-desktop.pc
%{_pkgconfigdir}/libsfdo-desktop-file.pc
%{_pkgconfigdir}/libsfdo-icon.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsfdo-basedir.a
%{_libdir}/libsfdo-desktop.a
%{_libdir}/libsfdo-desktop-file.a
%{_libdir}/libsfdo-icon.a
%endif
%changelog
* Thu Feb 27 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsfdo.git;a=log;h=master

* Thu Feb 27 2025 Jan Palus <atler@pld-linux.org> f6ee3ca
- new

